Subject: Re: [PATCH] ARM: dts: imx7ulp: Add cpu clock-frequency property

From: Shawn Guo <[email-masked]>
Date: Wed, 4 Dec 2019 10:02:37 +0800

+ Vincent

On Tue, Dec 03, 2019 at 01:09:22AM +0000, Anson Huang wrote:
> 
> > Subject: Re: [PATCH] ARM: dts: imx7ulp: Add cpu clock-frequency property
> > 
> > On Tue, Nov 05, 2019 at 09:49:38AM +0800, Anson Huang wrote:
> > > Add "clock-frequency" property to avoid below warning on i.MX7ULP:
> > >
> > > [    0.011762] /cpus/cpu@0 missing clock-frequency property
> > >
> > > Signed-off-by: Anson Huang <[email-masked]>
> > > ---
> > >  arch/arm/boot/dts/imx7ulp.dtsi | 1 +
> > >  1 file changed, 1 insertion(+)
> > >
> > > diff --git a/arch/arm/boot/dts/imx7ulp.dtsi
> > > b/arch/arm/boot/dts/imx7ulp.dtsi index d37a192..87b2237 100644
> > > --- a/arch/arm/boot/dts/imx7ulp.dtsi
> > > +++ b/arch/arm/boot/dts/imx7ulp.dtsi
> > > @@ -41,6 +41,7 @@
> > >  			compatible = "arm,cortex-a7";
> > >  			device_type = "cpu";
> > >  			reg = <0>;
> > > +			clock-frequency = <500210526>;
> > 
> > I cannot find the binding doc for this property.  What is the definition of it,
> > the maximum frequency that the cpu could possibly run at?
> 
> 
> The code is as below, maybe the property is missing from the beginning of this code,
> this property should mean the current frequency of CPU running at I think:
> 
> arch/arm/kernel/topology.c
> 
> 122                 rate = of_get_property(cn, "clock-frequency", &len);
> 123                 if (!rate || len != 4) {
> 124                         pr_err("%pOF missing clock-frequency property\n", cn);
> 125                         continue;
> 126                 }

Yes, I can find the code, but not bindings for it.  Considering
frequency of a CPU can be scaled in a quite wide range, we need
a clear understanding on this property.  IIUIC, the property is used to
calculate the capacity of CPU, it should be the maximum frequency the
CPU could possibly scale to?

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel